Subject: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Mon, 13 Jul 2020 06:31:02 +0000

Dear BIER WG,

We have published a new version of draft-xie-bier-ipv6-encapsulation-08*, and we would like to request WG adoption for the document.

Best Regards

Xuesong

----

Per the direction of WG, we have asked 6man’s review. We’ve received all positive comments with some great editorial suggestions.

In this version, we have updated the document based these feedback:

1.      Reasonability of using IPv6 unicast address is confirmed, so extra descriptions in section 3.2 are removed and put into Appendix C;

2.      A diagram showing BIERv6 packet processing in an IPv6 domain is added in section 4 to show how a BIERv6 packet goes through a non-BIER IPv6 node;

3.      Descriptions about the relationship between BIERv6 and BIER are added in Appendix A; The corresponding control plane extensions are added in Appendix B;

The document have also addressed all the concerns that has been raised in BIER WG:

1.      How BIERv6 could support BIER architecture defined in RFC 8279, including OAM;

2.      How BIERv6 security is guaranteed;

3.      The technical benefits brought by BIERv6;

After all the updates , we believe the document is ready for WG adoption.

> -----Original Message-----

> From: [email-masked] [mailto:[email-masked]]

> Sent: Monday, July 13, 2020 2:26 PM

> To: Xiejingrong (Jingrong) <[email-masked]>; Gengxuesong (Geng

> Xuesong) <[email-masked]>; Rajiv Asati <[email-masked]>; Liang

> Geng <[email-masked]>; Gyan Mishra

> <[email-masked]>; MooChang Shin <[email-masked]>;

> Senthil Dhanaraj <[email-masked]>; Yongqing Zhu

> <[email-masked]>; Mike McBride <[email-masked]>;

> Zhuangzhuang Qin <[email-masked]>

> Subject: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

> A new version of I-D, draft-xie-bier-ipv6-encapsulation-08.txt

> has been successfully submitted by Xuesong Geng and posted to the IETF

> repository.

> Name:            draft-xie-bier-ipv6-encapsulation

> Revision:        08

> Title:               Encapsulation for BIER in Non-MPLS IPv6 Networks

> Document date:   2020-07-13

> Group:            Individual Submission

> Pages:            21

> URL:

> https://www.ietf.org/internet-drafts/draft-xie-bier-ipv6-encapsulation-08.txt

> Status:

> https://datatracker.ietf.org/doc/draft-xie-bier-ipv6-encapsulation/

> Htmlized:

> https://tools.ietf.org/html/draft-xie-bier-ipv6-encapsulation-08

> Htmlized:

> https://datatracker.ietf.org/doc/html/draft-xie-bier-ipv6-encapsulation

> Diff:

> https://www.ietf.org/rfcdiff?url2=draft-xie-bier-ipv6-encapsulation-08

> Abstract:

>    This document proposes a BIER IPv6 (BIERv6) encapsulation for Non-

>    MPLS IPv6 Networks using the IPv6 Destination Option extension

>    header.  This document updates RFC 8296.

> Please note that it may take a couple of minutes from the time of submission

> until the htmlized version and diff are available at tools.ietf.org.

> The IETF Secretariat

---

From: <[email-masked]>
Date: Mon, 13 Jul 2020 14:43:57 +0800

Hi all,

As IPv6 is increasingly deployed in the world, a native IPv6 solution will make BIER work well in more scenarios. After the discussions in 6man WG, I think it is the right time for BIER WG to consider adopting the document.

Best Regards

Zhu Yongqing

发件人: [email-masked] <[email-masked]> 代表 Gengxuesong (Geng Xuesong)
发送时间: 2020年7月13日 14:31
收件人: BIER WG <[email-masked]>
抄送: [email-masked]
主题: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

Dear BIER WG,

Best Regards

Xuesong

----

> From: [email-masked] <mailto:[email-masked]>  [mailto:[email-masked]]

> To: Xiejingrong (Jingrong) <[email-masked] <mailto:[email-masked]> >; Gengxuesong (Geng

> Xuesong) <[email-masked] <mailto:[email-masked]> >; Rajiv Asati <[email-masked] <mailto:[email-masked]> >; Liang

> Geng <[email-masked] <mailto:[email-masked]> >; Gyan Mishra

> <[email-masked] <mailto:[email-masked]> >; MooChang Shin <[email-masked] <mailto:[email-masked]> >;

> Senthil Dhanaraj <[email-masked] <mailto:[email-masked]> >; Yongqing Zhu

> <[email-masked] <mailto:[email-masked]> >; Mike McBride <[email-masked] <mailto:[email-masked]> >;

> Zhuangzhuang Qin <[email-masked] <mailto:[email-masked]> >

>  <https://www.ietf.org/internet-drafts/draft-xie-bier-ipv6-encapsulation-08.txt> https://www.ietf.org/internet-drafts/draft-xie-bier-ipv6-encapsulation-08.txt

>  <https://datatracker.ietf.org/doc/draft-xie-bier-ipv6-encapsulation/> https://datatracker.ietf.org/doc/draft-xie-bier-ipv6-encapsulation/

>  <https://tools.ietf.org/html/draft-xie-bier-ipv6-encapsulation-08> https://tools.ietf.org/html/draft-xie-bier-ipv6-encapsulation-08

>  <https://datatracker.ietf.org/doc/html/draft-xie-bier-ipv6-encapsulation> https://datatracker.ietf.org/doc/html/draft-xie-bier-ipv6-encapsulation

>  <https://www.ietf.org/rfcdiff?url2=draft-xie-bier-ipv6-encapsulation-08> https://www.ietf.org/rfcdiff?url2=draft-xie-bier-ipv6-encapsulation-08

---

From: Liang GENG <[email-masked]>
Date: Mon, 13 Jul 2020 06:54:20 +0000

Hi all,

As the co-author of this draft. I believe this version thoroughly address previous comments received from BIER WG and received positive feedback from 6MAN WG as requested.

The draft itself is mature hence I support WG adoption of this draft.

Best wishes,
Liang

________________________________
From: BIER <[email-masked]> on behalf of Gengxuesong (Geng Xuesong) <[email-masked]>
Sent: 13 July 2020 14:31
To: BIER WG <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

Dear BIER WG,

Best Regards

Xuesong

----

---

From: "Peng Liu" <[email-masked]>
Date: Mon, 13 Jul 2020 15:17:48 +0800

Hi all,

Since the positive feedback of 6man WG and all comments have been revised, I support the adoption request.

Regards,
Peng Liu

[email-masked]
 
From: Gengxuesong (Geng Xuesong)
Date: 2020-07-13 14:31
To: BIER WG
CC: [email-masked]
Subject: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt
Dear BIER WG,

Best Regards
Xuesong
----

---

From: Senthil Dhanaraj <[email-masked]>
Date: Mon, 13 Jul 2020 14:12:02 +0530

Support adoption (as co-author)

Thanks
Senthil

On Mon, Jul 13, 2020, 12:01 PM Gengxuesong (Geng Xuesong) <
[email-masked]> wrote:

> Dear BIER WG,
>
>
>
> We have published a new version of draft-xie-bier-ipv6-encapsulation-08*,
> and we would like to request WG adoption for the document.
>
>
>
> Best Regards
>
> Xuesong
>
> ----
>
> Per the direction of WG, we have asked 6man’s review. We’ve received all
> positive comments with some great editorial suggestions.
>
> 1.      Reasonability of using IPv6 unicast address is confirmed, so extra
> descriptions in section 3.2 are removed and put into Appendix C;
>
> 2.      A diagram showing BIERv6 packet processing in an IPv6 domain is
> added in section 4 to show how a BIERv6 packet goes through a non-BIER IPv6
> node;
>
> 3.      Descriptions about the relationship between BIERv6 and BIER are
> added in Appendix A; The corresponding control plane extensions are added
> in Appendix B;
>
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier
>

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 13 Jul 2020 16:46:29 +0800

Hi all,

    I support the WG adoption call for the document.

    I think it is a valuable scenario for future IPv6 network.

Best Regards
Zongpeng Du

[email-masked] & [email-masked]
 
From: Peng Liu
Date: 2020-07-13 15:17
To: BIER WG
CC: Gengxuesong \(Geng Xuesong\); [email-masked]
Subject: Re: [Bier] Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt
Hi all,

Regards,
Peng Liu

[email-masked]

 
Best Regards
Xuesong
----

---

From: "Xiejingrong (Jingrong)" <[email-masked]>
Date: Thu, 16 Jul 2020 03:37:58 +0000

Hello BIER WG,

Given the progress under the direction of the WG, and the interest shown in the list, I would like to +1 request for the WG adoption as a co-author.
Would like to hear your further comments if you have.

Thanks for your consideration.
Jingrong Xie

From: Gengxuesong (Geng Xuesong)
Sent: Monday, July 13, 2020 2:31 PM
To: BIER WG <[email-masked]>
Cc: [email-masked]
Subject: Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

Dear BIER WG,

Best Regards

Xuesong

----

> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

> To: Xiejingrong (Jingrong) <[email-masked]<mailto:[email-masked]>>; Gengxuesong (Geng

> Xuesong) <[email-masked]<mailto:[email-masked]>>; Rajiv Asati <[email-masked]<mailto:[email-masked]>>; Liang

> Geng <[email-masked]<mailto:[email-masked]>>; Gyan Mishra

> <[email-masked]<mailto:[email-masked]>>; MooChang Shin <[email-masked]<mailto:[email-masked]>>;

> Senthil Dhanaraj <[email-masked]<mailto:[email-masked]>>; Yongqing Zhu

> <[email-masked]<mailto:[email-masked]>>; Mike McBride <[email-masked]<mailto:[email-masked]>>;

> Zhuangzhuang Qin <[email-masked]<mailto:[email-masked]>>

---

From: Tony Przygienda <[email-masked]>
Date: Thu, 16 Jul 2020 10:08:25 +0200

<as chair>

To make it perfectly clear, it is not up to the authors and only within the
chairs' competence to call for adoption so save yourself any +1 here please
as they serve no further purpose @ this point in time. Technical discussion
on the draft is obviously welcome on the list.

thanks

--- tony

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Thu, 16 Jul 2020 13:15:34 +0000

Hi Tony,

Thank you for your response.
We are not calling for adoption by ourselves, as the subject shows, we are “requesting WG adoption”. What we are trying to do is just inviting more people to review the draft, and at the same time, we are glad to see that quite some of them are interested in this topic and would like to show their support in the mailing list.
I agree that technical comments are very important for us. Actually, there have been a lot of technical discussions about this draft in WG, and we have updated the draft based on these comments, including:
1.      Whether IPv6 Extensions defined in the draft are reasonable and go along with RFC 8200 (especially section 4.2 “options”, section 4.6 “Destination Options Header”) and other IPv6 rules:
-        We have taken the draft to 6MAN mailing list and asked for review and advice twice, respectively in March and July; There is no objection in 6MAN and all we get is positive voice;
2.      How to support BIER OAM:
-        In section 3.1 of the document, we have updated the descriptions about how to use “Proto” field, what is the relationship between “Proto” and “Next Header” and what has been updated compared to RFC8296 Section 2.1.1 ;
3.      Security Considerations:
-        We have added “section 5 security” , giving instructions to handle with different kinds of possible security threats;
4.      Concerns about using unicast IPv6 address to convey multicast packet:
-        We have added Appendix C to explain why it works and what benefits it will bring;
5.      Is there any requirement for BIERv6 ?
-        Yes. With the deployments of SRv6 for unicast, operators are searching for stateless multicast solution in IPv6 domain, aligning with the design of SRv6.
-        Yes. A lot of operators love the idea of “Native IPv6 BIER” and think it is a promising solution that could be used in the IPv6 network.
-        We believe that the idea of BIERv6 will be very helpful to the further development of BIER and IPv6.
Besides these aspects, we are always open to any other technical comments on the list.
If you have any suggestions about how to move the document forward, please also let us know.

Best Regards
Xuesong

From: Tony Przygienda [mailto:[email-masked]]
Sent: Thursday, July 16, 2020 4:08 PM
To: Gengxuesong (Geng Xuesong) <[email-masked]>
Cc: BIER WG <[email-masked]>; [email-masked]
Subject: Re: Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

<as chair>

To make it perfectly clear, it is not up to the authors and only within the chairs' competence to call for adoption so save yourself any +1 here please as they serve no further purpose @ this point in time. Technical discussion on the draft is obviously welcome on the list.

thanks

--- tony

On Mon, Jul 13, 2020 at 8:31 AM Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>> wrote:

Dear BIER WG,

Best Regards

Xuesong

----

> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>]

> until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org>.

---

From: Greg Shepherd <[email-masked]>
Date: Thu, 16 Jul 2020 08:21:11 -0700

Geng,

Thanks for the new version. Please leave all adoption calls on the list to
the Chairs. Additionally, it doesn't require adoption for participants to
read and comment. And any call for adoption should come after there has
been adequate time for the group to read and evaluate. But more
importantly, you and I spoke about your draft getting adequate time for
discussion at the upcoming WG meeting. This will give you yet another
attempt to build support and make your case for adoption to the group.
Please stay focused on your upcoming presentation.

Thanks,
Shep,
(Chairs)

On Thu, Jul 16, 2020 at 6:15 AM Gengxuesong (Geng Xuesong) <
[email-masked]> wrote:

> We are not calling for adoption by ourselves, as the subject shows, we are
> “requesting WG adoption”. What we are trying to do is just inviting more
> people to review the draft, and at the same time, we are glad to see that
> quite some of them are interested in this topic and would like to show
> their support in the mailing list.
>
> I agree that technical comments are very important for us. Actually, there
> have been a lot of technical discussions about this draft in WG, and we
> have updated the draft based on these comments, including:
>
> 1.      Whether IPv6 Extensions defined in the draft are reasonable and go
> along with RFC 8200 (especially section 4.2 “options”, section 4.6
> “Destination Options Header”) and other IPv6 rules:
>
> -        We have taken the draft to 6MAN mailing list and asked for review
> and advice twice, respectively in March and July; There is no objection in
> 6MAN and all we get is positive voice;
>
> -        In section 3.1 of the document, we have updated the descriptions
> about how to use “Proto” field, what is the relationship between “Proto”
> and “Next Header” and what has been updated compared to RFC8296 Section
> 2.1.1 ;
>
> -        We have added “section 5 security” , giving instructions to
> handle with different kinds of possible security threats;
>
> -        Yes. With the deployments of SRv6 for unicast, operators are
> searching for stateless multicast solution in IPv6 domain, aligning with
> the design of SRv6.
>
> -        Yes. A lot of operators love the idea of “Native IPv6 BIER” and
> think it is a promising solution that could be used in the IPv6 network.
>
> *From:* Tony Przygienda [mailto:[email-masked]]
> *Sent:* Thursday, July 16, 2020 4:08 PM
> *To:* Gengxuesong (Geng Xuesong) <[email-masked]>
> *Cc:* BIER WG <[email-masked]>; [email-masked]
> *Subject:* Re: Request for WG Adoption//FW: New Version Notification for
> draft-xie-bier-ipv6-encapsulation-08.txt
>
>
>
> <as chair>
>
>
>
> To make it perfectly clear, it is not up to the authors and only within
> the chairs' competence to call for adoption so save yourself any +1 here
> please as they serve no further purpose @ this point in time. Technical
> discussion on the draft is obviously welcome on the list.
>
>
>
> thanks
>
>
>
> --- tony
>
>
>

---

From: "Gengxuesong (Geng Xuesong)" <[email-masked]>
Date: Sat, 18 Jul 2020 03:48:46 +0000

Hi Greg,

Thanks for your response.
It is a pity that there was no time for this topic in IETF 107 and the other interim meeting we have been waiting for was also cancelled.
Between IETF 107 and 108, we kept updating the document following the guidance of WG:

   Ask advice from IPv6 experts online and offline, ensuring that IPv6 extensions defined in the document are reasonable;

   Summary all the history discussions from WG(both mailing list and previous IETF meeting minutes), closing all the technical comments in the new version;
After the work, we believe the document is quite mature and we have heard a lot of voice from operators that they need a stateless multicast solution in an IPv6 network and they want to see more progress in the standard. So we request WG adoption in the mailing list, and many WG members show their positive attitude and support the request.
If you think it is necessary to present the draft in IETF 108, we are very willing to request a time slot and introduce the progress. The information is as follows:
Draft: draft-xie-bier-ipv6-encapsulation-08
Presenter: Xuesong Geng
Length: 10 minutes

Best Regards
Xuesong

From: Greg Shepherd [mailto:[email-masked]]
Sent: Thursday, July 16, 2020 11:21 PM
To: Gengxuesong (Geng Xuesong) <[email-masked]>
Cc: Tony Przygienda <[email-masked]>; BIER WG <[email-masked]>; [email-masked]
Subject: Re: Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

Geng,

Thanks for the new version. Please leave all adoption calls on the list to the Chairs. Additionally, it doesn't require adoption for participants to read and comment. And any call for adoption should come after there has been adequate time for the group to read and evaluate. But more importantly, you and I spoke about your draft getting adequate time for discussion at the upcoming WG meeting. This will give you yet another attempt to build support and make your case for adoption to the group. Please stay focused on your upcoming presentation.

Thanks,
Shep,
(Chairs)

On Thu, Jul 16, 2020 at 6:15 AM Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Tony,

Best Regards
Xuesong

From: Tony Przygienda [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, July 16, 2020 4:08 PM
To: Gengxuesong (Geng Xuesong) <[email-masked]<mailto:[email-masked]>>
Cc: BIER WG <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: Request for WG Adoption//FW: New Version Notification for draft-xie-bier-ipv6-encapsulation-08.txt

<as chair>

thanks

--- tony

Dear BIER WG,

Best Regards

Xuesong

----

---

From: Greg Shepherd <[email-masked]>
Date: Sat, 18 Jul 2020 06:45:36 -0700

Inline:

> If you think it is necessary to present the draft in IETF 108, we are very
> willing to request a time slot and introduce the progress.
>

Yes I do. I've said so in multiple email messages to you.

> The information is as follows:
>

Thanks,
Greg

> Best Regards
>
> Xuesong
>
>
>
> *From:* Greg Shepherd [mailto:[email-masked]]
> *Sent:* Thursday, July 16, 2020 11:21 PM
> *Cc:* Tony Przygienda <[email-masked]>; BIER WG <[email-masked]>;
> [email-masked]

---

From: Greg Shepherd <[email-masked]>
Date: Sat, 18 Jul 2020 06:53:36 -0700

The draft-ietf-bier-ipv6-requirements has also been rev'd. I hope you plan
on presenting this as well, to build support. This work has yet to reach
consensus.

Thanks,
Greg

On Sat, Jul 18, 2020 at 6:45 AM Greg Shepherd <[email-masked]> wrote:

>
> Inline:
>
>
>> If you think it is necessary to present the draft in IETF 108, we are
>> very willing to request a time slot and introduce the progress.
>>
>
>> Thanks for the new version. Please leave all adoption calls on the list
>> to the Chairs. Additionally, it doesn't require adoption for participants
>> to read and comment. And any call for adoption should come after there has
>> We are not calling for adoption by ourselves, as the subject shows, we
>> are “requesting WG adoption”. What we are trying to do is just inviting
>> more people to review the draft, and at the same time, we are glad to see
>> that quite some of them are interested in this topic and would like to show
>> I agree that technical comments are very important for us. Actually,
>> there have been a lot of technical discussions about this draft in WG, and
>> we have updated the draft based on these comments, including:
>>
>> 1.      Whether IPv6 Extensions defined in the draft are reasonable and
>> go along with RFC 8200 (especially section 4.2 “options”, section 4.6
>> -        We have taken the draft to 6MAN mailing list and asked for
>> review and advice twice, respectively in March and July; There is no
>> objection in 6MAN and all we get is positive voice;
>>
>> 1.      Reasonability of using IPv6 unicast address is confirmed, so
>> extra descriptions in section 3.2 are removed and put into Appendix C;
>>